Newline Proliferating Maniac
Wondering what’s next for npm?Check out our public roadmap! »

@stomp/ng2-stompjs
TypeScript icon, indicating that this package has built-in type declarations

8.0.0 • Public • Published

@stomp/ng2-stompjs

Angular 6/7/8/9/10 Build Status

An Angular (Angular6+) style wrapper for @stomp/stompjs.

Version Compatibility

The current version is 8.x.x. The underlying @stomp/stompjs has been bottom rewritten bringing strict compatibility with STOMP standards. This is the first-ever STOMP JS client library that reliably supports binary payloads.

This version is recommended for Angular6 and higher.

It has been reported to work with ionic projects as well.

Getting started

https://stomp-js.github.io/ has tutorials and documentation.

Upgrading

Please follow migration guides.

Documentation

Samples

Older Angular versions

Version 4.x.x may be used with Angular 2/4/5 - use dependency like "^4.0.0". Documentation for 4.x.x can be accessed at https://stomp-js.github.io/ng2-stompjs/.

Contributors

License

Apache-2.0

Install

npm i @stomp/ng2-stompjs

DownloadsWeekly Downloads

16,433

Version

8.0.0

License

Apache-2.0

Unpacked Size

384 kB

Total Files

48

Last publish

Collaborators

  • avatar
  • avatar